Loading...
Searching...
No Matches
cxx::Pair< First, Second > Struct Template Reference
Small C++ Template Library

Pair of two values. More...

`#include <pair>`

Inheritance diagram for cxx::Pair< First, Second >:
Collaboration diagram for cxx::Pair< First, Second >:

## Public Types

typedef First | First_type
| Type of first value.
typedef Second | Second_type
| Type of second value.

## Public Member Functions

template<typename A1, typename A2>
| Pair (A1 &&first, A2 &&second)
| Create a pair from the two values.
template<typename A1>
| Pair (A1 &&first)
| Create a pair, default constructing the second value.
| Pair ()=default
| Default construction.

## Data Fields

First | first
| First value.
Second | second
| Second value.

## Detailed Description

template<typename First, typename Second>
struct cxx::Pair< First, Second >

Pair of two values.

Standard container for a pair of values.

Parameters

  First | Type of the first value.
  Second | Type of the second value.

Definition at line 27 of file pair.

## Constructor & Destructor Documentation

## Pair() [1/2]

template<typename First, typename Second>
template<typename A1, typename A2>

cxx::Pair< First, Second >::Pair | ( | A1 && | first,
|  | A2 && | second )

inline

Create a pair from the two values.

Parameters

  first | The first value.
  second | The second value.

Definition at line 45 of file pair.

## Pair() [2/2]

template<typename First, typename Second>
template<typename A1>

cxx::Pair< First, Second >::Pair | ( | A1 && | first | ) |

inline

Create a pair, default constructing the second value.

Parameters

  first | The first value.

Definition at line 53 of file pair.

The documentation for this struct was generated from the following file:

- l4/cxx/pair